<? 
require_once('../conf/connection.php');
$ventana=$_GET["ventana"]; 
	  //grupo de variables enviadas mediante metodo post desde el formulario
	  
	  $ventana=stripslashes($_POST["ventana"]);
	  
	  $numero=stripslashes($_POST["numero"]);//numero de pedido
	  $codigo=stripslashes($_POST["codigo"]);//codigo del producto
	  
	  $cantidad=stripslashes($_POST["cantidad"]);//cantidad de venta nueva
	  $sto=stripslashes($_POST["sto"]);//cantidad en el pedido
	  
	  
      $mesa=stripslashes($_POST["mesa"]);//mesa
	  $grupos=stripslashes($_POST["grupos"]);//mesa
	  $fecha = $_GET["fecha"];
	  
//extraemos el precio del producto

$query_unit="SELECT * FROM platos WHERE idplatos='$codigo'";
$res_unit=mysql_query($query_unit);
 $valor_unit=mysql_result($res_unit,0,"precio_plato");
 $stock=mysql_result($res_unit,0,"stock_plato");// estock de BD
 $grupos=mysql_result($res_unit,0,"idgrupos");
// multiplicamos cantidad por precio

$cantidad_r=$cantidad+$sto;


$valor_total=1*$valor_unit; 

        for($i=1;$i<=$cantidad;$i++){
		        
				//insertamos pedidod a la base de datos 
         $insertar="insert into detalles_pedido (iddetalles_pedido, cantidad, valor_unitario, valor_total, idplatos, numero,obs,grupo) 
		 values (";
		 $insertar.="\"\", \"1\", \"$valor_unit\", \"$valor_total\",\"$codigo\",\"$numero\",\"$obs\",\"$grupos\")";       
         mysql_query($insertar, $conn) or die("Error en el query: ".mysql_error());
	
			
			}

         
        //restamos al inventario 
 			 $sel_articulos="UPDATE platos SET stock_plato=(stock_plato-'$cantidad') WHERE idplatos='$codigo'";
		     $rs_articulos=mysql_query($sel_articulos);
        
		//registramos cartola
		
		    $query_operacion="INSERT INTO  cartola_historica  (num_linea,fecha,tipo_doc,glosa,entrada,salida,art,pedido)  	 
			VALUES ('','$fecha','$tipo','','','$cantidad','$codigo','$numero')";					
	        $rs_operacion=mysql_query($query_operacion);
        
		

			mysql_close($conn);
		?>
        <META HTTP-EQUIV="REFRESH" CONTENT="0;URL=../pedido.php?numero=<? echo $numero ?>&mesa=<? echo $mesa?>
        &grupos=<? echo $grupos?>&ventana=<? echo $ventana ?>&fecha=<? echo $fecha ?>"> 
         <? 
		
 